Subject: [os2genau_digest] No. 491
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 15 Nov 2002 00:03:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 14 November 2002
 Number  491
**************************************************

Subjects for today
 
1  [os2genau] Extending an ISO image : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re: [os2genau] OS/2 JNI development : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re: [os2genau] Flatbed scanner, parallelport. : Alan Duval" <amoht at ozemail dot com dot au>
4  Re: [os2genau] Flatbed scanner, parallelport. : Kris Steenhaut <kris.steenhaut at hccnet.nl>
5  [os2genau] CopyShop : Ian Manners" <deadmail>
6  Re: [os2genau] CopyShop : madodel at ptdprolog dot net

**= Email   1 ==========================**

Date:  Thu, 14 Nov 2002 06:31:24 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  [os2genau] Extending an ISO image

Does anyone know how to add data to an existing bootable ISO image
??

I have a 115MB bootable ISO image to which I would like to add 500MB
of files. 

I have tried writing the CD as multisession, wring both blocks of
data sequentially however the result of this is after writing the
second sesssion, OS/2 reports the CD as not being formatted
("fix"ing the CD at this point doesn't help either).

I am using CDRecord/2 a Ricoh drive and 700MB blank CDRs. I have the
500 MB of data as separate files or as an ISO file. I have burnt the
115MB ISO image to a CD and so have the (visible) files here as
well. I could just copy all of these files together and create and
burn a new 615MB ISO image, but I suspect this would then be no
longer bootable - right ?

Is there a parameter on MKISOFS that allows additions to an existing
ISO file ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 14 Nov 2002 09:52:42 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] OS/2 JNI development

On Wed, 13 Nov 2002 20:08:51 +0000, Michael Taylor wrote:

>Chris Graham [WarpSpeed] wrote:
>> Hi All,
>> 	Has anyone done any JNI development?
>> 	Java Native Interface is where java calls a Dll directly.
>> 
>> 	I'm having some problems with the javah compiler.
>> 
>> 	If I get it to produce the stubs file, it does it with a linkage
>> of _optlink, whereas the -jni option (which produces a .h file), uses
>> JNICALL which appears to be defined as _System (amongst other things).
>> 
>> 	When looking at the NT version of the dll, I get _Java_xxxx,
>> whereas the OS/2 version gives me Java_xxxx - they are defined as EXTERN
>> C, so I'd have thought that the generated exports should have had the
>> leading underscore.
>> 
>> 	Can someone who has done this before, please get in contact with
>> me?
>> 
>> 	I'm try to produce some stuff for LimeWire.
>
>What version of Java? Which C compiler?
>
>The JDK 1.3 has header files that are for VAC 4 amd do not work with VAC 3.
>
>I have looked at this a bit so should be able to help (I modified the
>header files to work with VAC3).

I am using VA V3 and javah from 1.1.8 to build everything but run it under
Java 1.3.

For a simple case, the resulting Dll works under both Java 1.1.8 and 1.3
(but with some really wierd results).

In my case, I really do think that LimeWire thinks that it is not running
under Windows (which it isn't) and thus never tries calling it. I've even
put some logging code into the _Dll_InitTerm() startup proc and that is
never being called, so I don't think that it is ever trying to be loaded.

THis is what I sent to someone else (in short I had to add the -jni switch
to javah):

Part of my problem _may_ be that I only have the JDK for 1.1 but I'm using
the compiled DLL with java 1.3, but I don't think so, as it works under
both...

However, what you sent me, does not work, as I get compilation problems.
Here is what I had to do.

javac HelloWorld.java
javah -jni HelloWorld

icc /Ge- hello.c hello.def

Now for the interesting results (Java 1.1.8 is the default java env):

set beginlibpath=X:\xx...
java HelloWorld
runs class and loads the dll (I added some DosBeep()'s in the method) I
hear the beeps but it produces no printed output!!!!

But with Java 1.3
c:\java13\jre\bin\java HelloWorld
Beeps and display's the hello word! Note that I did not have to set up the
libpath in any form! So it works.

The only real difference here is that I had to supply the -jni switch to
javah. The problem here is that the stubs are totally different when not
specified.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 14 Nov 2002 21:26:35 -0500 (EST)
From:  "Alan Duval" <amoht at ozemail dot com dot au>
Subject:  Re: [os2genau] Flatbed scanner, parallelport.

On Mon, 11 Nov 2002 09:16:54 +0100, Kris Steenhaut wrote:

>
>
>Alan Duval schreef:
>
>>
>> Might be worth downloading Copyshop2 from Hobbes as it has a driver with it.
>>
>
>Are you absolutely sure it IS on hobbes?
>
 I thought I saw it on Hobbes last year. May be mistaken. If you want a copy I will send it to you.

Regards

Alan Duval

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 14 Nov 2002 12:45:34 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re: [os2genau] Flatbed scanner, parallelport.

Alan Duval schreef:

> On Mon, 11 Nov 2002 09:16:54 +0100, Kris Steenhaut wrote:
>
> >
> >
> >Alan Duval schreef:
> >
> >>
> >> Might be worth downloading Copyshop2 from Hobbes as it has a driver with it.
> >>
> >
> >Are you absolutely sure it IS on hobbes?
> >
>  I thought I saw it on Hobbes last year. May be mistaken. If you want a copy I will send it to you.
>

Indeed I would like that. Thanks in advance.

--
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 14 Nov 2002 22:48:31 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  [os2genau] CopyShop

On Thu, 14 Nov 2002 21:26:35 -0500 (EST), Alan Duval wrote:

Hi

Copyshop can be found in several different places, including

http://www.os2site dot com/sw/graphics/scan/

Its called "copyshop.zip" :-)

Cheers
Ian B Manners
http://www.os2site dot com/

Chernobyl, Russia and Redmond, Washington: Sister cities.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 14 Nov 2002 08:00:56 -0500
From:  madodel at ptdprolog dot net
Subject:  Re: [os2genau] CopyShop

In <200211142247.0000480H at server1.os2site dot com>, on 11/14/02 at 10:48 PM,
   "Ian Manners" <deadmail> said:

>On Thu, 14 Nov 2002 21:26:35 -0500 (EST), Alan Duval wrote:

>Hi

>Copyshop can be found in several different places, including

>http://www.os2site dot com/sw/graphics/scan/

>Its called "copyshop.zip" :-)

Is that the uncrippled retail version, or the demo version from the Warp4
Application CD?  As I recall the Demo version put the word DEMO or
something similar on every copy.

Mark

-- 

 From the eComStation Desktop of: Mark Dodel

Warpstock 2002, In the home of OS/2 - Austin, Texas.  Were you there?   http://www.warpstock dot org

For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org

  "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938 

----------------------------------------------------------------------------------